apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: elasticsearch-data-persistent-storage
  labels:
    app: elasticsearch-data
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: microk8s-hostpath
  resources:
    requests:
      storage: 5Gi
